BASENAME(1)

NOM
basename – Éliminer le chemin d'accès et le suffixe d'un nom de fichier

SYNOPSIS
basename NOM [SUFFIXE]
basename OPTION... NOM...

DESCRIPTION

Afficher le NOM débarrassé de tout chemin. Le SUFFIXE est aussi supprimé si indiqué.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --multiple
    accepter plusieurs paramètres et les traiter chacun comme un NOM

-s, --suffix=SUFFIXE
    retirer le SUFFIXE si présent ; implique -a

-z, --zero
    terminer chaque ligne produite par un caractère NULL plutôt que par un changement de ligne

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

EXEMPLES

basename /usr/bin/sort
    -> « sort »

basename include/stdio.h .h
    -> « stdio »

basename -s .h include/stdio.h
    -> « stdio »

basename -a nimportequoi/chaîne1 nimportequoi/chaîne2
    -> « chaîne1 » suivie par « chaîne2 »

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
dirname(1), readlink(1)

Documentation complète : <https://www.gnu.org/software/coreutils/basename>
aussi disponible localement à l’aide de la commande : info '(coreutils) basename invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Delacour <guillaume.delacour@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.